#include "c408khz.h"
#include <ccblkfn.h>

static short table408[128] ={
#include "table408khz.txt"
};
C408kHz::C408kHz ()
{
	ptr = table408;

	}

void C408kHz::run ( short wave[], unsigned int count )
{
	short * p = ptr;
	
	for ( int i = 0; i < count; i++ ) 
	{
		wave[i] = *p;
		p = (short*)circptr( p, 2, table408, 256 );
	}
	ptr = p;
}

